%define module	Acme-Cow
%define name	perl-%{module}
%define version 0.1
%define release 4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A configurable speaking/thinking Cow
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.nog.net/~tony/warez/%{module}-%{version}.tar.bz2
Url:		http://www.nog.net/~tony/warez/cowsay.shtml
BuildRoot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch
conflicts:	cowsay

%description
Talking cows.  ASCII artwork.  A veritable foundation of the
Internet.

Now you can make the cows say whatever you want.  Acme::Cow is the
module that does all the work behind the new version of cow{say,think}
(also included in this distribution).  Now you can incorporate
loquactious cattle into any program you want, quickly and easily.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{_bindir}/*
%{perl_vendorlib}/Acme*
%{_mandir}/*/*

%changelog
* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-4mdk 
- better url
- drop useless empty directories
- spec cleanup
- rpmbuildupdate aware
- make test (even cows have regression tests)

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-3mdk
- fix buildrequires in a backward compatible way

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-2mdk 
- mooooooooooooooooo! (aka fixing changelog, thx Stefan <stefan@eijk.nu>)

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-1mdk 
- yeeeeeeeeeeeeeeeeeeeeeeeeeeeah
